summaryrefslogtreecommitdiff
path: root/dev-python/polygon
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/polygon
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/polygon')
-rw-r--r--dev-python/polygon/Manifest1
-rw-r--r--dev-python/polygon/metadata.xml14
-rw-r--r--dev-python/polygon/polygon-3.0.7.ebuild45
3 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/polygon/Manifest b/dev-python/polygon/Manifest
new file mode 100644
index 000000000000..59f8efa98cc7
--- /dev/null
+++ b/dev-python/polygon/Manifest
@@ -0,0 +1 @@
+DIST Polygon3-3.0.7.zip 76193 BLAKE2B 57ef62b6652400be057e8596f705e2112caef09208aafa7e46686f86367181dc078cbfc6ade99af22cce7fc0a76ec1de2995885ba4c11263444ca315029c38d7 SHA512 e30cd8e51ad69a2d76b61a7d92ead4ac352e729093546b965f649866fd9c6a860e3cdcd9fcd7f8cc9f8d7735ccd1128fb5af00b3de89e4efd7128e446a70b33b
diff --git a/dev-python/polygon/metadata.xml b/dev-python/polygon/metadata.xml
new file mode 100644
index 000000000000..e5ce34f05e30
--- /dev/null
+++ b/dev-python/polygon/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Polygon is a python package that handles polygonal shapes in 2D. It contains
+ Python bindings for gpc, the General Polygon Clipping Library by
+ Alan Murta and some extensions written in C and pure Python.
+ </longdescription>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/polygon/polygon-3.0.7.ebuild b/dev-python/polygon/polygon-3.0.7.ebuild
new file mode 100644
index 000000000000..e9821f63b466
--- /dev/null
+++ b/dev-python/polygon/polygon-3.0.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to handle polygonal shapes in 2D"
+HOMEPAGE="https://www.j-raedler.de/projects/polygon/"
+SRC_URI="https://www.bitbucket.org/jraedler/${PN}3/downloads/Polygon3-${PV}.zip"
+
+LICENSE="LGPL-2"
+SLOT="3"
+IUSE="examples"
+KEYWORDS="amd64 ppc x86"
+
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}/Polygon3-${PV}
+
+DOCS=( doc/{Polygon.txt,Polygon.pdf} )
+
+python_prepare_all() {
+ if use examples; then
+ mkdir examples || die
+ mv doc/{Examples.py,testpoly.gpf} examples || die
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${EPYTHON}" test/Test.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}